MINBIF(8)

NAME
minbif - The IRC instant messaging gateway

SYNOPSIS
minbif [-hv] [--pidfile pidfile] CONFIG_FILE

DESCRIPTION

Minbif is an IRC gateway to IM networks which provides the following features:
* Minbif uses a library which abstracts all IM calls, and has several plugins to support more than 15 IM protocols (IRC included!);
* Two modes: inetd and daemon fork;
* Only IRC commands are used to control Minbif;
* IM Certificates check;
* Buddies are IRC users;
* Each account is associated to a status channel, where all connected buddies are;
* Add and remove buddies from list with /INVITE and /KICK commands;
* Blocked users are bans on the account's status channel;
* Display when a buddy is typing a message;
* Can chat with someone who is not in your buddy list;
* You can see buddies' icons (with libcaca) or download them;
* DCC SEND an image to set your icon on IM networks;
* Display extended information about buddies with /WII command;
* Status management;
* Can send and receive files, which are sent or received to/from your IRC client with DCC SEND;
* Conversation channels are supported;
* Auto-rejoin conversation channels at connection;
* Display list of channels on an IM account with /LIST;
* irssi scripts to increase your user experience of minbif;
* CACAcam (webcam in ascii art);
* CoinCoin plugin for libpurple;
* PAM support;
* TLS support with certificate auth.

OPTIONS

--pidfile pidfile
    path to pidfile where the minbif's PID is written.

--version
    display version of minbif.

--help
    show help.

config_file
    Configuration file location.

CONFIGURATION
Edit the minbif.conf file and change value when needed. With the inetd mode, use this command to add minbif:
# update-inetd --add '56667 stream tcp nowait minbif /usr/sbin/tcpd /usr/bin/minbif /etc/minbif/minbif.conf'
With the daemon fork mode, run minbif with:
# minbif /etc/minbif/minbif.conf

HOW TO USE
Connect your IRC client (for examble irssi) on minbif with this command:
/server localhost 56667 password
The nickname set on your IRC client is your username on minbif. First time you connect to minbif with this nickname, the account is created and the password parameter is set. Next, use the /map help command to know how to add a network. See also: http://minbif.im/Quick_start

COPYRIGHT
Copyright(C) 2009-2011 Romain Bignon

For full COPYRIGHT see COPYING file with minbif package.

FILES
 "minbif.conf"